import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class OrderCouponService {

  constructor(private http: HttpClient) { }

  /**
   * 查询订单列表
   * @param param
   * @param callBack
   */
  public queryList(param: object, callBack:any) {
    this.http.get(environment.orderUrl + 'coupon/queryList?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询订单详情
   * @param param
   * @param callBack
   */
  public queryDetail(orderChildNo: string, callBack:any) {
    this.http.get(environment.orderUrl + 'coupon/queryDetail?orderChildNo='+orderChildNo).subscribe(data => {
      callBack(data);
    });
  }
}
